<?xml version="1.0"?>
<?altova_samplexml C:\Documents and Settings\no010196\My Documents\TDI\XSLT\TestOutput.xml?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Search Results</title>
				<link href="/WhitePages_fs.css" rel="stylesheet" type="text/css"/>
				<base target="WPmain"/>
			</head>
			<body>
				<table class="searchResults" width="98%" border="0" cellspacing="5">
					<tr class="searchResults">
						<th width="15%" >Employee#</th>
						<th width="25%">Name</th>
						<th width="15%">Type</th>
						<th width="15%">Department</th>
						<th width="25%">Title</th>
					</tr>

					<xsl:for-each select="//Entry">
						<xsl:sort order="ascending" select="employeeNumber"/>
						<tr>
							<xsl:if test="position() mod 2 = 1">
								<xsl:attribute name="class">OddPages</xsl:attribute>
							</xsl:if>
							<xsl:if test="position() mod 2 = 0">
								<xsl:attribute name="class">EvenPages</xsl:attribute>
							</xsl:if>
							
							<xsl:call-template name="EMP_ID">
								<xsl:with-param name="LinkTo">
									<xsl:value-of select="uid"/>
								</xsl:with-param>
							</xsl:call-template>
							
							<td class="searchResults" width="25%" align="left">
								<xsl:value-of select="cn"/>
							</td>
							<td class="searchResults" width="15%" align="left">
								<xsl:value-of select="employeeType"/>
							</td>
							<td class="searchResults" width="15%" align="left">
								<xsl:value-of select="ou"/>
							</td>
							<td class="searchResults" width="25%" align="left">
								<xsl:value-of select="title"/>
							</td>
						</tr>
					</xsl:for-each>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	
	<xsl:template name="EMP_ID">
		<xsl:param name="LinkTo">null</xsl:param>
		<td class="searchResults" width="15%" align="left">
			<font face="Times, serif" color="blue" size="2">
				<a class="uid" href="/FindUID/{$LinkTo}" target="WPmain">
					<strong><xsl:value-of select="uid"/></strong>
				</a>
			</font>
		</td>
	</xsl:template>




</xsl:stylesheet>
